package io.reisub.openosrs.cooker.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.client.plugins.iutils.ui.Chatbox;

public class SkipLevel extends Task {
    @Override
    public String getStatus() {
        return "Skipping level chatbox";
    }

    @Override
    public boolean validate() {
        return chatbox.chatState() == Chatbox.ChatState.LEVEL_UP;
    }

    @Override
    public void execute() {
        chatbox.continueChats();
        game.tick();
    }
}
