package io.reisub.openosrs.shopper.tasks;

import io.reisub.openosrs.shopper.Shopper;
import io.reisub.openosrs.util.Task;
import net.runelite.api.mixins.Inject;
import net.runelite.api.widgets.WidgetInfo;
import net.runelite.client.plugins.iutils.game.iWidget;

public class Buy extends Task {
    @Inject
    private Shopper plugin;

    @Override
    public String getStatus() {
        return "Buying";
    }

    @Override
    public boolean validate() {
        iWidget shop = game.widget(WidgetInfo.SHOP_ITEMS_CONTAINER);

        return shop != null
                && !shop.hidden()
                && !game.inventory().full();
    }

    @Override
    public void execute() {

    }
}
