package io.reisub.openosrs.smelter;

import lombok.Getter;
import net.runelite.api.ItemID;

@Getter
public enum Product {
    MOLTEN_GLASS(ItemID.MOLTEN_GLASS, new Ingredient(ItemID.SODA_ASH, 14), new Ingredient(ItemID.BUCKET_OF_SAND, 14)),
    CANNONBALLS(ItemID.CANNONBALL, new Ingredient(ItemID.STEEL_BAR, 27));

    private final int id;
    private final Ingredient[] ingredients;

    Product(int id, Ingredient... ingredients) {
        this.id = id;
        this.ingredients = ingredients;
    }
}
